MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031125Community[OCCT] OCCT:Meshpublic2019-11-04 13:302019-11-10 11:41
ReporterKnut 
Assigned Tobugmaster 
PriorityhighSeveritycrash 
StatusverifiedResolutionfixed 
PlatformWindows VC++ 2019 64bitOSWindowsOS Version10
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031125: BRepMesh_IncrementalMesh crash in constructor for empty compound shape
DescriptionNew bug in 7.4.0:

I have some unit tests that uses boolean operations to create an empty shape. (shape is completely clipped out, so the result should be empty)

The boolean operation then results in a TCompound with zero shapes.

When I try to run this through IncrementalMesh, it crashes on line 111 in BrepMesh_IncrementalMesh.cxx:

  for (Standard_Integer aFaceIt = 0; aFaceIt < aModel->FacesNb(); ++aFaceIt)

because aModel is null. There is missing some error checking or at least null checking in this function.

This worked in 7.3.0
Steps To Reproducecompound c
incmesh c 1
Additional information
and documentation updates
Regression vs 7.3.0
TagsNo tags attached.
Test case numberbugs/mesh/bug31125
Attached Files

- Relationships

-  Notes
(0088720)
git (administrator)
2019-11-04 17:10

Branch CR31125_1 has been created by oan.

SHA-1: 79bba87961b423146a22310a03e0be4404ad1719


Detailed log of new commits:

Author: oan
Date: Mon Nov 4 17:09:09 2019 +0300

    0031125: BRepMesh_IncrementalMesh crash in constructor for empty compound shape
    Added check for cases of empty shapes producing null models
(0088721)
oan (developer)
2019-11-04 17:15

Hello Knut,

Thank you for reporting the issue.
Draft version of the patch is ready and will be integrated as soon as it pass certification procedure.
(0088722)
git (administrator)
2019-11-04 17:52

Branch CR31125_1 has been updated forcibly by oan.

SHA-1: 04616bb4a334902f4701e10e7f9ec3f039c0bb43
(0088727)
oan (developer)
2019-11-05 12:59

Please review branch CR31125_1.

http://jenkins-test-12.nnov.opencascade.com/view/CR31125_1-master-OAN/view/COMPARE/ [^]
(0088731)
msv (developer)
2019-11-05 16:10

Reviewed.
(0088766)
bugmaster (administrator)
2019-11-07 10:44

Tested in framework of WEEK-45

Combination -
OCCT branch : WEEK-45
master SHA - a1a9b249523438cf9b3d510fb4ff74bd4a5675b6
5f5b1aed1c6e139bbd34314eca77ae7abcd8895c
Products branch : WEEK-45 SHA - f88bc93e3637c4c42f3c154c0b0e167d4e297ae6
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16844.70000000007 / 16848.430000000117 [-0.02%]
Products
Total CPU difference: 10837.970000000065 / 10873.690000000062 [-0.33%]
Windows-64-VC14:
OCCT
Total CPU difference: 18366.671875 / 18319.515625 [+0.26%]
Products
Total CPU difference: 12848.578125 / 12848.859375 [-0.00%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0088837)
git (administrator)
2019-11-10 11:41

Branch CR31125_1 has been deleted by inv.

SHA-1: 04616bb4a334902f4701e10e7f9ec3f039c0bb43

- Related Changesets
occt: master 7756fc59
Timestamp: 2019-11-04 14:49:07
Author: oan
Committer: bugmaster
Details ] Diff ]
0031125: BRepMesh_IncrementalMesh crash in constructor for empty compound shape
Added check for cases of empty shapes producing null models.
NoError status is returned as far as empty compounds are generally coorect shapes.
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff ] File ]
add - tests/bugs/mesh/bug31125 Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-11-04 13:30 Knut New Issue
2019-11-04 13:30 Knut Assigned To => oan
2019-11-04 16:45 oan Steps to Reproduce Updated View Revisions
2019-11-04 17:10 git Note Added: 0088720
2019-11-04 17:15 oan Note Added: 0088721
2019-11-04 17:52 git Note Added: 0088722
2019-11-04 17:53 oan Status new => assigned
2019-11-05 07:54 abv Product Version => 7.4.0
2019-11-05 07:54 abv Target Version => 7.5.0*
2019-11-05 07:54 abv Additional Information Updated View Revisions
2019-11-05 07:54 abv Priority normal => high
2019-11-05 12:59 oan Note Added: 0088727
2019-11-05 12:59 oan Assigned To oan => msv
2019-11-05 12:59 oan Status assigned => resolved
2019-11-05 16:10 msv Note Added: 0088731
2019-11-05 16:10 msv Assigned To msv => bugmaster
2019-11-05 16:10 msv Status resolved => reviewed
2019-11-07 10:44 bugmaster Note Added: 0088766
2019-11-07 10:44 bugmaster Status reviewed => tested
2019-11-07 10:57 bugmaster Test case number => bugs/mesh/bug31125
2019-11-10 11:18 bugmaster Changeset attached => occt master 7756fc59
2019-11-10 11:18 bugmaster Status tested => verified
2019-11-10 11:18 bugmaster Resolution open => fixed
2019-11-10 11:41 git Note Added: 0088837


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker